GLSA-200709-05 : RealPlayer: Buffer overflow

High Nessus Plugin ID 26095


The remote Gentoo host is missing one or more security-related patches.


The remote host is affected by the vulnerability described in GLSA-200709-05 (RealPlayer: Buffer overflow)

A stack-based buffer overflow vulnerability has been reported in the SmilTimeValue::parseWallClockValue() function in smlprstime.cpp when handling HH:mm:ss.f type time formats.
Impact :

By enticing a user to open a specially crafted SMIL (Synchronized Multimedia Integration Language) file, an attacker could be able to execute arbitrary code with the privileges of the user running the application.
Workaround :

There is no known workaround at this time.


All RealPlayer users should upgrade to the latest version:
# emerge --sync # emerge --ask --oneshot --verbose '>=media-video/realplayer-10.0.9'

See Also

Plugin Details

Severity: High

ID: 26095

File Name: gentoo_GLSA-200709-05.nasl

Version: $Revision: 1.17 $

Type: local

Published: 2007/09/24

Modified: 2015/04/13

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:gentoo:linux:realplayer, cpe:/o:gentoo:linux

Required KB Items: Host/local_checks_enabled, Host/Gentoo/release, Host/Gentoo/qpkg-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2007/09/14

Vulnerability Publication Date: 2007/06/26

Exploitable With

CANVAS (D2ExploitPack)

Reference Information

CVE: CVE-2007-3410

OSVDB: 37374, 38342

GLSA: 200709-05

CWE: 119